function InitInNames()
% InitInNames
% Mike Anthony
% MathWorks
% Copyright (c) 2011, The MathWorks, Inc.
% All rights reserved.
%
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that the following conditions are
% met:
%
%     * Redistributions of source code must retain the above copyright
%       notice, this list of conditions and the following disclaimer.
%     * Redistributions in binary form must reproduce the above copyright
%       notice, this list of conditions and the following disclaimer in
%       the documentation and/or other materials provided with the distribution
%     * Neither the name of the The MathWorks, Inc. nor the names
%       of its contributors may be used to endorse or promote products derived
%       from this software without specific prior written permission.
%
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
% AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
% IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
% ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
% LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
% CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
% SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
% INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
% CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
% ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
%
% 
% Sets signal names to corresponding source block names.
% NOTE: This can get annoying if you don't name all of
% your constant blocks and all other source blocks. Use 
% lines 48-53 to select which kinds of blocks you want to
% apply this rule to.


% ins   = find_system(bdroot,'SearchDepth',1,'BlockType','Inport');
% cons  = find_system(bdroot,'SearchDepth',1,'BlockType','Constant');
% steps = find_system(bdroot,'SearchDepth',1,'BlockType','Step');
% puls  = find_system(bdroot,'SearchDepth',1,'MaskType' ,'Pulse');
% % noise = find_system(bdroot,'SearchDepth',1,'BlockType','RandomNumber');
% noise = find_system(bdroot,'SearchDepth',1,'MaskType' ,'Band-Limited White Noise.');

ins   = find_system(bdroot,'LookUnderMasks','none','BlockType','Inport');
cons  = find_system(bdroot,'LookUnderMasks','none','BlockType','Constant');
steps = find_system(bdroot,'LookUnderMasks','none','BlockType','Step');
puls  = find_system(bdroot,'LookUnderMasks','none','MaskType' ,'Pulse');
% noise = find_system(bdroot,'BlockType','RandomNumber');
noise = find_system(bdroot,'LookUnderMasks','none','MaskType' ,'Band-Limited White Noise.');

allins = {ins{:} cons{:} steps{:} puls{:} noise{:}};

for i=1:length(allins)
    name = get_param(allins{i},'Name');
    try
        lineh = get_param(allins{i},'LineHandles');
        set_param(lineh.Outport,'Name',name);
    catch
        disp(['        Unconnected Input Block: ' allins{i}]);
    end
end

