function InitOutNames()
% InitOutNames
% Mike Anthony
% MathWorks
% Copyright (c) 2011, The MathWorks, Inc.
% All rights reserved.
%
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that the following conditions are
% met:
%
%     * Redistributions of source code must retain the above copyright
%       notice, this list of conditions and the following disclaimer.
%     * Redistributions in binary form must reproduce the above copyright
%       notice, this list of conditions and the following disclaimer in
%       the documentation and/or other materials provided with the distribution
%     * Neither the name of the The MathWorks, Inc. nor the names
%       of its contributors may be used to endorse or promote products derived
%       from this software without specific prior written permission.
%
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
% AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
% IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
% ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
% LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
% CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
% SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
% INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
% CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
% ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
%
%
% Sets External Output Port names to signal names.
%
% NOTE: This gets a bit more complicated if you have a naming convention that
% appends something like _BUS or _MUX to appropriate signals and you want to try
% to automate that appendage.

% outs=find_system(bdroot,'SearchDepth',1,'BlockType','Outport');
outs=find_system(bdroot,'LookUnderMasks','none','BlockType','Outport');

for i=1:length(outs)
    try
%     busobj = get_param(outs{i},'UseBusObject');
%     if strcmpi(busobj,'OFF') == 1
        signame = get_param(outs{i},'InputSignalNames');
%         if strcmp(signame{1}(end-2:end),'BUS')
%             name = signame{1};
%         else
            if strcmp(signame{1}(1),'<') == 1
                name = signame{1}(2:length(signame{1})-1);
            else
                name = signame{1};
            end
%             name = [name '_OUT']; % Comment out this line if you don't want to append _OUT
%         end
%     else
%         name = get_param(outs{i},'BusObject');
%     end
    set_param(outs{i},'Name',name);
    catch
        disp(['        Outport Block ' outs{i} ' not connected or unnamed incoming signal...']);
    end
end

