function InitToWorkspaceNames(varargin)
% InitToWorkspaceNames
% Mike Anthony
% MathWorks
% Copyright (c) 2011, The MathWorks, Inc.
% All rights reserved.
%
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that the following conditions are
% met:
%
%     * Redistributions of source code must retain the above copyright
%       notice, this list of conditions and the following disclaimer.
%     * Redistributions in binary form must reproduce the above copyright
%       notice, this list of conditions and the following disclaimer in
%       the documentation and/or other materials provided with the distribution
%     * Neither the name of the The MathWorks, Inc. nor the names
%       of its contributors may be used to endorse or promote products derived
%       from this software without specific prior written permission.
%
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
% AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
% IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
% ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
% LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
% CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
% SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
% INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
% CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
% ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
%
% 
% Initialize names and variable of ToWorkspace Blocks with incoming signal
% names.
% 

if ~isempty(varargin)
    sys = varargin;
else
    sys = bdroot;
end

tows = find_system(sys,'LookUnderMasks','all','BlockType','ToWorkspace');
for i = 1:length(tows)
    lineh = get_param(tows{i},'LineHandles');
    inname = get_param(lineh.Inport(1),'Name');
    if strcmp('<',inname(1)) == 1
        inname = inname(2:end-1);
    end
    if isempty(inname)
        unks = find_system(sys,'RegExp','on','LookUnderMasks','all','BlockType','ToWorkspace','Name','^Unknown.*');
        inname = ['Unknown' num2str(length(unks))];
    end
    set_param(tows{i},'VariableName',inname);
    set_param(tows{i},'ShowName','off');
    set_param(tows{i},'Name',[inname '_ToWorkspace']);
end
    

